Execute agent-tool-selection-quality evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/agent-tool-selection-quality/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"input_messages": "[{\"role\":\"system\",\"content\":\"You are a helpful assistant with access to tools: 1. get_weather(city) - Get current weather. 2. search_web(query) - Search the web.\"},{\"role\":\"user\",\"content\":\"What is the weather like in Paris?\"}]",
"output_messages": "[{\"role\":\"assistant\",\"tool_calls\":[{\"name\":\"get_weather\",\"arguments\":{\"city\":\"Paris\"}}]}]"
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/agent-tool-selection-quality/execute"
payload = { "input": {
"input_messages": "[{\"role\":\"system\",\"content\":\"You are a helpful assistant with access to tools: 1. get_weather(city) - Get current weather. 2. search_web(query) - Search the web.\"},{\"role\":\"user\",\"content\":\"What is the weather like in Paris?\"}]",
"output_messages": "[{\"role\":\"assistant\",\"tool_calls\":[{\"name\":\"get_weather\",\"arguments\":{\"city\":\"Paris\"}}]}]"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
input_messages: '[{"role":"system","content":"You are a helpful assistant with access to tools: 1. get_weather(city) - Get current weather. 2. search_web(query) - Search the web."},{"role":"user","content":"What is the weather like in Paris?"}]',
output_messages: '[{"role":"assistant","tool_calls":[{"name":"get_weather","arguments":{"city":"Paris"}}]}]'
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/agent-tool-selection-quality/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"correct_args": true,
"correct_args_reason": "The city argument matches the user's request",
"tool_selection": "correct",
"tool_selection_reason": "The agent correctly chose get_weather for the weather query"
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute agent-tool-selection-quality evaluator
Evaluate whether the agent selected the most appropriate tool(s) for the task at hand
Request Body:
input.input_messages(array of objects, required): The agent’s input messages — system prompt + conversation history as a JSON array of message objects (role,content, optionaltool_calls, etc.)input.output_messages(array of objects, required): The agent’s output messages for this step as a JSON array of message objects (may contain tool calls or plain text)
POST
/
v2
/
evaluators
/
agent-tool-selection-quality
/
execute
Execute agent-tool-selection-quality evaluator
Authorizations
Type "Bearer" followed by a space and JWT token.
Body
application/json
Request body
Show child attributes
Show child attributes
Was this page helpful?
⌘I

